<?php

namespace KupShop\BalikonosBundle\BalikobotAdapters;

class BalikobotDPDAdapter implements IBalikobotAdapter
{
    public function transformOrderData(\Order $order, array $data, array &$custom_data): array
    {
        if (!empty($order->getDeliveryType()->getDelivery()->getPointId())) {
            $data['branch_id'] = $order->getDeliveryType()->getDelivery()->getPointId();
        }

        return $data;
    }
}
